netatalk: sparql_parser.y File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
sparql_parser.y File Reference
`#include <ctype.h>`
`#include <stdbool.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <time.h>`
`#include <bstrlib.h>`
`#include <gio/gio.h>`
`#include <talloc.h>`
`#include <atalk/errchk.h>`
`#include <atalk/logger.h>`
`#include <atalk/spotlight.h>`
`#include "sparql_map.h"`

## Typedefs
typedef struct yy_buffer_state * | YY_BUFFER_STATE

## Functions
int | yylex (void)
void | yyerror (char const *)
void * | yyterminate (void)
YY_BUFFER_STATE | yy_scan_string (const char *str)
void | yy_delete_buffer (YY_BUFFER_STATE buffer)
static const char * | map_expr (const char *attr, char opop, const char *val)
static const char * | map_daterange (const char *dateattr, time_t date1, time_t date2)
static time_t | isodate2unix (const char *s)
static char * | ascii_lower_dup (TALLOC_CTX *ctx, const char *s, size_t len)
static char * | map_type_search (const char *attr, char opop, const char *val)
int | yywrap ()
int | map_spotlight_to_sparql_query (slq_t *slq, gchar **sparql_result)

## Variables
slq_t * | ssp_slq
static gchar * | ssp_result
static int | sparqlvar
static char * | result_limit

## Typedef Documentation

## ◆ YY_BUFFER_STATE

typedef struct yy_buffer_state* YY_BUFFER_STATE

## Function Documentation

## ◆ ascii_lower_dup()

char * ascii_lower_dup | ( | TALLOC_CTX * | ctx,
|  | const char * | s,
|  | size_t | len )
| static

Lowercase ASCII letters in-place in a talloc'd copy of s.

## ◆ isodate2unix()

time_t isodate2unix | ( | const char * | s | ) |
| static

## ◆ map_daterange()

const char * map_daterange | ( | const char * | dateattr,
|  | time_t | date1,
|  | time_t | date2 )
| static

## ◆ map_expr()

const char * map_expr | ( | const char * | attr,
|  | char | op,
|  | const char * | val )
| static

## ◆ map_spotlight_to_sparql_query()

int map_spotlight_to_sparql_query | ( | slq_t * | slq,
|  | gchar ** | sparql_result )

Map a Spotlight RAW query string to a SPARQL query string

Parameters

  [in] | slq | Spotlight query handle
  [out] | sparql_result | Mapped SPARQL query, string is allocated in talloc context of slq

Returns
  0 on success, -1 on error

## ◆ map_type_search()

char * map_type_search | ( | const char * | attr,
|  | char | op,
|  | const char * | val )
| static

## ◆ yy_delete_buffer()

void yy_delete_buffer | ( | YY_BUFFER_STATE | buffer | ) |
| extern

## ◆ yy_scan_string()

YY_BUFFER_STATE yy_scan_string | ( | const char * | str | ) |
| extern

## ◆ yyerror()

void yyerror | ( | char const * | str | ) |
| extern

## ◆ yylex()

int yylex | ( | void |  | ) |
| extern

## ◆ yyterminate()

void * yyterminate | ( | void |  | ) |
| extern

## ◆ yywrap()

int yywrap | ( |  | ) |

## Variable Documentation

## ◆ result_limit

char* result_limit
| static

## ◆ sparqlvar

int sparqlvar
| static

## ◆ ssp_result

gchar* ssp_result
| static

## ◆ ssp_slq

slq_t* ssp_slq